## deepin-voice-note 5.10.9

=== CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     V4fr3e <V4fr3e@deepin.io>
#
# Maintainer: V4fr3e <liujinli@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "deepin-voice-note")
set(APP_TRANS_SCRIPT "${APP_RES_DIR}/translate_generation.sh")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-voice-note.desktop")
set(APP_QRC "${APP_RES_DIR}/images.qrc")
set(APP_CONFIG "${APP_RES_DIR}/deepin-voice-note.conf")
set(APP_LOGO "${APP_RES_DIR}/icons/deepin/builtin/deepin-voice-note.svg")

#Check if APP_TS_UPDATE var isn't set, don't need update ts file
if (NOT DEFINED APP_TS_UPDATE)
   set(APP_TS_UPDATE false)
endif()

#Only update ts file when APP_TS_UPDATE=true
if (${APP_TS_UPDATE} STREQUAL "true")
    set(APP_TS_UPDATE true)
endif()

project(${APP_BIN_NAME})

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")
set(CMAKE_CXX_FLAGS "-g")

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
elseif (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
  add_definitions(-DWEB_PATH="${CMAKE_SOURCE_DIR}/assets/web")
  # Enable Qt builtin debug mode
  # add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O3 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O3 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O3 -Wl,-O1 -Wl,--gc-sections")
  add_definitions(-DWEB_PATH="${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note/web")
  add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

#安全加固参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

#Generate the qm file
#bash translate.sh
#       transdir
#       needupdatets  <Only -DUPDATE_TS when need update ts file>
#       sourcedir
#       <projectname>.ts

execute_process(COMMAND bash
                    ${APP_TRANS_SCRIPT}
                    translations
                    ${APP_TS_UPDATE}
                    ${CMAKE_CURRENT_SOURCE_DIR}/src
                    ${APP_BIN_NAME}
                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/")

configure_file(src/environments.h.in environments.h @ONLY)

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE VNOTE_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5 COMPONENTS DBus Sql Multimedia WebEngineWidgets WebChannel REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(DFrameworkdbus REQUIRED)
pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
pkg_check_modules(LIBVLC REQUIRED libvlc)
include_directories(${GSTREAMER_INCLUDE_DIRS})
include_directories(${LIBVLC_INCLUDE_DIRS})
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
include_directories(${Qt5Svg_INCLUDE_DIRS})
include_directories(${Qt5Xml_INCLUDE_DIRS})

# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${VNOTE_SRC} ${APP_QRC})

target_include_directories(${APP_BIN_NAME}
    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${APP_BIN_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GSTREAMER_LIBRARIES}
    ${LIBVLC_LIBRARIES}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Sql
    Qt5::Multimedia
    Qt5::WebChannel
    Qt5::WebEngineWidgets
    ${Qt5Svg_LIBRARIES}
    ${Qt5Xml_LIBRARIES}
)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS deepin-voice-note DESTINATION bin)

file(GLOB APP_QM_FILES "translations/*.qm")
install(FILES ${APP_QM_FILES} DESTINATION share/deepin-voice-note/translations)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(FILES ${APP_CONFIG} DESTINATION share/deepin-voice-note)
install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
else()
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
endif()
install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note)
#if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64")
add_subdirectory(tests)
#endif()

=== debian/changelog ===
deepin-voice-note (5.10.9-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 13 Jan 2022 16:35:37 +0800

deepin-voice-note (1.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800

## deepin-voice-note 5.10.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,11 @@
 elseif (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need")
 endif ()
+
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
 
 #compile flags
 if (CMAKE_BUILD_TYPE MATCHES Debug)

=== tests/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     zhangteng <zhangteng@uniontech.com>
#
# Maintainer: zhangteng <zhangteng@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

set(APP_QRC "../assets/images.qrc")

ADD_COMPILE_OPTIONS(-fno-access-control)

set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")

if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()
#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

# 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")

#安全加固参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

find_package(Qt5Test REQUIRED)
find_package(GTest REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Xml REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})
include_directories(src)

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

# 定义 source 文件
#FILE (GLOB allTestSource
#    "./src/*.cpp"  "./src/*.c"
#    "./src/*.h"
#    )

#Include all app own subdirectorys

file(GLOB_RECURSE VNOTE_SRC_TEST ${CMAKE_CURRENT_LIST_DIR}/../src/*.cpp)
file(GLOB_RECURSE VNOTE_SRC_TEST1 ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

list(REMOVE_ITEM VNOTE_SRC_TEST "${CMAKE_CURRENT_LIST_DIR}/../src/main.cpp")

# 生成测试可执行程序
add_executable(${PROJECT_NAME_TEST}
    ${VNOTE_SRC_TEST}
    ${VNOTE_SRC_TEST1}

    ${APP_QRC}
    )

# 生成测试可执行程序的依赖库
target_link_libraries(${PROJECT_NAME_TEST} gtest gtest_main -pthread)

target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${DtkWidget_INCLUDE_DIRS}
                                                       ${DtkCore_INCLUDE_DIRS}
                                                        ${DtkGui_INCLUDE_DIRS})

target_link_libraries(${PROJECT_NAME_TEST}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GSTREAMER_LIBRARIES}
    ${LIBVLC_LIBRARIES}
    ${GTEST_LIBRARYS}
    ${GTEST_MAIN_LIBRARYS}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::DBus
    Qt5::Sql
    Qt5::Multimedia
    Qt5::Test
    Qt5::WebChannel
    Qt5::WebEngineWidgets
    ${Qt5Svg_LIBRARIES}
    ${Qt5Xml_LIBRARIES}
)

##------------------------------ 创建'make test'指令---------------------------------------
add_custom_target(test
    COMMAND echo " =================== TEST BEGIN ==================== "
    COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
)

##'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

=== debian/changelog ===
deepin-voice-note (5.10.15-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 16 May 2022 10:23:39 +0800

=== debian/control ===
Source: deepin-voice-note
Section: devel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 qttools5-dev-tools,
 libutf8proc-dev,
 qtbase5-dev,
 pkg-config,
 libsqlite3-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 libglib2.0-dev,
 libdtkwidget-dev,
 libdtkwidget5-bin,
 libdtkcore5-bin,
 libdframeworkdbus-dev,
 libgstreamer1.0-dev,
 libvlc-dev,
 libvlccore-dev,
 libqt5webchannel5-dev,
 qtwebengine5-dev,
 libgtest-dev
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/voice-note
#Vcs-Git: https://salsa.debian.org/debian/voice-note.git

Package: deepin-voice-note
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
  Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.

## deepin-voice-note 5.10.20

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,7 @@
 # Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
 #
-# Author:     zhangteng <zhangteng@uniontech.com>
-#
-# Maintainer: zhangteng <zhangteng@uniontech.com>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 cmake_minimum_required(VERSION 3.7)

=== debian/changelog ===
deepin-voice-note (5.10.20-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 17 Nov 2022 10:53:43 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  qtbase5-dev,
  pkg-config,
  libsqlite3-dev,
- qtbase5-private-dev,
  qtmultimedia5-dev,
  libglib2.0-dev,
  libdtkwidget-dev,
@@ -30,6 +29,8 @@
 
 Package: deepin-voice-note
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ gstreamer1.0-pulseaudio
+Recommends: uos-reporter, deepin-event-log
 Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
   Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.

## deepin-voice-note 5.10.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,15 +44,20 @@
 
 project(${APP_BIN_NAME})
 
+include(GNUInstallDirs)
+if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    set(CMAKE_INSTALL_PREFIX /usr)
+endif ()
+
 set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
-set(CMAKE_EXE_LINKER_FLAGS "-pie")
-set(CMAKE_CXX_FLAGS "-g")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
 
 #安全编译参数
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
@@ -172,22 +177,22 @@
     ${Qt5Xml_LIBRARIES}
 )
 
-set(CMAKE_INSTALL_PREFIX /usr)
-
 # Install files
-install(TARGETS deepin-voice-note DESTINATION bin)
+install(TARGETS deepin-voice-note DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 file(GLOB APP_QM_FILES "translations/*.qm")
-install(FILES ${APP_QM_FILES} DESTINATION share/deepin-voice-note/translations)
-install(FILES ${APP_DESKTOP} DESTINATION share/applications)
-install(FILES ${APP_CONFIG} DESTINATION share/deepin-voice-note)
-install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
+install(FILES ${APP_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note/translations)
+install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+install(FILES ${APP_CONFIG} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note)
+install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps/)
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
 else()
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
 endif()
-install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note)
+install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note)
 #if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64")
+if (CMAKE_BUILD_TYPE MATCHES Debug)
 add_subdirectory(tests)
+endif()
 #endif()

=== debian/changelog ===
deepin-voice-note (5.10.22-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Fri, 02 Dec 2022 11:39:12 +0800

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: deepin-voice-note
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer1.0-pulseaudio
+ gstreamer1.0-pulseaudio,gstreamer1.0-plugins-base,gstreamer1.0-plugins-good
 Recommends: uos-reporter, deepin-event-log
 Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
   Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.

## deepin-voice-note 5.10.23

=== debian/changelog ===
deepin-voice-note (5.10.23-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 03 Apr 2023 14:29:59 +0800

deepin-voice-note (5.10.23) unstable; urgency=medium

  * New version 5.10.23

 -- wangcong <wangcong@uniontech.com>  Tue, 07 Feb 2023 17:37:17 +0800

## deepin-voice-note 6.0.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,20 +44,15 @@
 
 project(${APP_BIN_NAME})
 
-include(GNUInstallDirs)
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-    set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
-
 set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
+set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
+set(CMAKE_EXE_LINKER_FLAGS "-pie")
+set(CMAKE_CXX_FLAGS "-g")
 
 #安全编译参数
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
@@ -102,6 +97,16 @@
 #       needupdatets  <Only -DUPDATE_TS when need update ts file>
 #       sourcedir
 #       <projectname>.ts
+
+# 判断系统环境
+#file(STRINGS "/etc/os-version" MAJOR_STR REGEX "MajorVersion")
+execute_process(COMMAND cat /etc/os-version OUTPUT_VARIABLE OS_INFO_STR)
+string(REGEX MATCHALL "MajorVersion=[0-9]+" MAJOR_STR "${OS_INFO_STR}")
+string(REGEX MATCH "[0-9]+" MAJOR_VERSION "${MAJOR_STR}")
+if (MAJOR_VERSION MATCHES "23")
+    message("--------------------- OS_BUILD_V23 on")
+    add_definitions(-DOS_BUILD_V23)
+endif()
 
 execute_process(COMMAND bash
                     ${APP_TRANS_SCRIPT}
@@ -152,12 +157,13 @@
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 include_directories(${Qt5Svg_INCLUDE_DIRS})
 include_directories(${Qt5Xml_INCLUDE_DIRS})
+pkg_search_module(libdmr REQUIRED libdmr)
 
 # Tell CMake to create the executable
 add_executable(${PROJECT_NAME} ${VNOTE_SRC} ${APP_QRC})
 
 target_include_directories(${APP_BIN_NAME}
-    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
+    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ${libdmr_INCLUDE_DIRS})
 
 target_link_libraries(${APP_BIN_NAME}
     ${DtkWidget_LIBRARIES}
@@ -175,24 +181,27 @@
     Qt5::WebEngineWidgets
     ${Qt5Svg_LIBRARIES}
     ${Qt5Xml_LIBRARIES}
+    ${libdmr_LIBRARIES}
 )
 
+set(CMAKE_INSTALL_PREFIX /usr)
+
 # Install files
-install(TARGETS deepin-voice-note DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(TARGETS deepin-voice-note DESTINATION bin)
 
 file(GLOB APP_QM_FILES "translations/*.qm")
-install(FILES ${APP_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note/translations)
-install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
-install(FILES ${APP_CONFIG} DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note)
-install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps/)
+install(FILES ${APP_QM_FILES} DESTINATION share/deepin-voice-note/translations)
+install(FILES ${APP_DESKTOP} DESTINATION share/applications)
+install(FILES ${APP_CONFIG} DESTINATION share/deepin-voice-note)
+install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
 else()
-    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
-endif()
-install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-voice-note)
+    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+endif()
+install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/web    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note)
 #if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "x86_64")
 if (CMAKE_BUILD_TYPE MATCHES Debug)
-add_subdirectory(tests)
+#add_subdirectory(tests)
 endif()
 #endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
-# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: GPL-3.0-or-later

=== debian/changelog ===
deepin-voice-note (6.0.17) unstable; urgency=medium

  * add build-dep deepin-desktop-base.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 30 Jan 2024 16:08:20 +0800

deepin-voice-note (6.0.16) unstable; urgency=medium

  * New version 6.0.16.

 -- wangcong <wangcong@uniontech.com>  Fri, 5 Jan 2024 14:50:42 +0800

deepin-voice-note (6.0.15) unstable; urgency=medium

  * New version 6.0.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 17 Oct 2023 17:41:42 +0800

deepin-voice-note (6.0.14) unstable; urgency=medium

  * Adjust the audio port available range.

 -- renbin <renbin@uniontech.com>  Fri, 13 Oct 2023 16:08:18 +0800

deepin-voice-note (6.0.13) unstable; urgency=medium

  * New version 6.0.13

 -- wangcong <wangcong@uniontech.com>  Thu, 21 Sep 2023 15:31:45 +0800

deepin-voice-note (6.0.12) unstable; urgency=medium

  * New version 6.0.12

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jul 2023 13:14:45 +0800

deepin-voice-note (6.0.11) unstable; urgency=medium

  * New version 6.0.11

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jul 2023 13:14:45 +0800

deepin-voice-note (6.0.10) unstable; urgency=medium

  * New version 6.0.10

 -- wangcong <wangcong@uniontech.com>  Wed, 7 Jun 2023 13:22:45 +0800

deepin-voice-note (6.0.9) unstable; urgency=medium

  * New version 6.0.9

 -- wangcong <wangcong@uniontech.com>  Wed, 7 Jun 2023 10:03:45 +0800

deepin-voice-note (6.0.8) unstable; urgency=medium

  * fix: Fix the issue of creating new text notes while using Ctrl+B bold text(Bug: 151155)
  * chore: Update translations(Bug: 189815)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 15:22:15 +0800

deepin-voice-note (6.0.7) unstable; urgency=medium

  * New version 6.0.7

 -- wangcong <wangcong@uniontech.com>  Fri, 12 May 2023 11:46:45 +0800

deepin-voice-note (6.0.6) unstable; urgency=medium

  * New version 6.0.6

 -- hemingyang <hemingyang@uniontech.com>  Mon, 3 Jan 2023 15:10:45 +0800

deepin-voice-note (6.0.5) unstable; urgency=medium

  * New version 6.0.5

 -- wangcong <wangcong@uniontech.com>  Mon, 28 Nov 2022 17:42:45 +0800

deepin-voice-note (6.0.4) unstable; urgency=medium

  * New version 6.0.4

 -- hemingyang <hemingyang@uniontech.com>  Tues, 08 Nov 2022 14:22:05 +0800

deepin-voice-note (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- hemingyang <hemingyang@uniontech.com>  Thur, 20 Sep 2022 14:41:05 +0800

deepin-voice-note (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- hemingyang <hemingyang@uniontech.com>  Thur, 15 Sep 2022 14:38:35 +0800

deepin-voice-note (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- hemingyang <hemingyang@uniontech.com>  Mon, 5 Sep 2022 14:38:35 +0800

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,10 @@
  libvlccore-dev,
  libqt5webchannel5-dev,
  qtwebengine5-dev,
- libgtest-dev
+ libgtest-dev,
+ libffmpegthumbnailer-dev,
+ libdmr-dev,
+ deepin-desktop-base
 Standards-Version: 4.1.3
 Homepage: <insert the upstream URL, if relevant>
 #Vcs-Browser: https://salsa.debian.org/debian/voice-note
@@ -29,8 +32,7 @@
 
 Package: deepin-voice-note
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer1.0-pulseaudio,gstreamer1.0-plugins-base,gstreamer1.0-plugins-good
+Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-plugins-good, vlc-plugin-base, gstreamer1.0-pulseaudio
 Recommends: uos-reporter, deepin-event-log
 Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
   Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.

## deepin-voice-note 6.5.21

=== src/CMakeLists.txt ===
set(APP_BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
set(BIN_NAME ${CMAKE_PROJECT_NAME})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG_NO_WARNING)
endif()

# using for linglnog
add_definitions(-DINSTALL_LIB_PATH="${CMAKE_INSTALL_LIBDIR}")

list(APPEND RESOURCES ${CMAKE_PROJECT_NAME}.qrc deepin-voice-note-web.qrc)

find_package(Qt6 6.6 REQUIRED COMPONENTS Core Widgets Quick DBus Sql WebEngineQuick Multimedia)
find_package(Dtk6 COMPONENTS Core Widget Gui REQUIRED)

find_package(PkgConfig REQUIRED)

# 保证 src 目录下头文件全局可见
include_directories(src)
include_directories(./dbusservice)
include_directories(./gui)
include_directories(./common)
include_directories(./db)
include_directories(./handler)
include_directories(./audio)

aux_source_directory(./ ALLSOURCE)
aux_source_directory(./dbusservice ALLSOURCE)
aux_source_directory(./common ALLSOURCE)
aux_source_directory(./db ALLSOURCE)
aux_source_directory(./gui ALLSOURCE)
aux_source_directory(./task ALLSOURCE)
aux_source_directory(./handler ALLSOURCE)
aux_source_directory(./audio ALLSOURCE)

add_executable(${BIN_NAME} ${ALLSOURCE} ${RESOURCES})

target_link_libraries(${BIN_NAME} PRIVATE
    Qt6::Core
    Qt6::Widgets
    Qt6::Quick
    Qt6::DBus
    Qt6::Sql
    Qt6::WebEngineQuick
    Qt6::Multimedia
    Dtk6::Core
    Dtk6::Gui
    Dtk6::Widget
)

if(SUPPROT_DMR)
    add_definitions(-DMPV_PLAYENGINE)

    message("-- Build with libdmr")
else()
    pkg_check_modules(LIBVLC REQUIRED libvlc)
    include_directories(${LIBVLC_INCLUDE_DIRS})
    target_link_libraries(${BIN_NAME} PRIVATE ${LIBVLC_LIBRARIES})

    message("-- Build with libvlc, found:" ${LIBVLC_FOUND})
endif()
pkg_check_modules(GSTREAMER REQUIRED gstreamer-1.0)
include_directories(${GSTREAMER_INCLUDE_DIRS})
target_link_libraries(${BIN_NAME} PRIVATE ${GSTREAMER_LIBRARIES})

# Add install rule
install(TARGETS ${BIN_NAME} DESTINATION ${APP_BIN_INSTALL_DIR})

=== debian/changelog ===
deepin-voice-note (6.5.21) unstable; urgency=medium

  * chore: New version 6.5.21.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 12:15:02 +0800

deepin-voice-note (6.5.20) unstable; urgency=medium

  * chore: New version 6.5.20.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Mar 2025 13:31:38 +0800

deepin-voice-note (6.5.19) unstable; urgency=medium

  * chore: New version 6.5.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Mar 2025 19:07:35 +0800

deepin-voice-note (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:57:47 +0800

deepin-voice-note (6.5.17) unstable; urgency=medium

  * fix: can not record voice(Bug: 305495)
  * fix: crash on play voice

 -- renbin <renbin@uniontech.com>  Fri, 28 Feb 2025 11:49:46 +0800

deepin-voice-note (6.5.16) unstable; urgency=medium

  * chore: New version 6.5.16.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 27 Feb 2025 19:34:59 +0800

deepin-voice-note (6.5.15) unstable; urgency=medium

  * chore: New version 6.5.15.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:14:09 +0800

deepin-voice-note (6.5.14) unstable; urgency=medium

  * chore: New version 6.5.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 14 Feb 2025 09:17:56 +0800

deepin-voice-note (6.5.13) unstable; urgency=medium

  * fix: cannot launch copilot page on first start (#179)(Bug: 300535)

 -- renbin <renbin@uniontech.com>  Thu, 16 Jan 2025 17:07:56 +0800

deepin-voice-note (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 09 Jan 2025 13:49:11 +0800

deepin-voice-note (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 02 Jan 2025 20:35:06 +0800

deepin-voice-note (6.5.10) unstable; urgency=medium

  * fix: Fixed the display issue(Bug: 297107)
  * fix: Fixed sidebar issues(Bug: 297145)
  * fix: Fixed the font blur issue(Bug: 297093)
  * fix: Fixed the issue of separator pixels(Bug: 297087)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 10:55:13 +0800

deepin-voice-note (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:52:25 +0800

deepin-voice-note (6.5.8) unstable; urgency=medium

  * New Version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 10:52:44 +0800

deepin-voice-note (6.5.7) unstable; urgency=medium

  * New Version 6.5.7.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 14:10:05 +0800

deepin-voice-note (6.5.6) unstable; urgency=medium

  * New Version 6.5.6.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 13:09:05 +0800

deepin-voice-note (6.5.5) unstable; urgency=medium

  * New Version 6.5.5.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 22 Nov 2024 17:37:53 +0800

deepin-voice-note (6.5.4) unstable; urgency=medium

  * New Version 6.5.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 22 Nov 2024 16:24:49 +0800

deepin-voice-note (6.5.3) unstable; urgency=medium

  * New Version 6.5.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 08 Nov 2024 15:14:52 +0800

deepin-voice-note (6.5.2) unstable; urgency=medium

  * New Version 6.5.2.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 25 Oct 2024 10:05:38 +0800

deepin-voice-note (6.5.1) unstable; urgency=medium

  * New Version 6.5.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 18 Oct 2024 15:56:33 +0800

deepin-voice-note (6.5.0) unstable; urgency=medium

  * feat: Use QML to refactor the interface.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Sep 2024 17:00:18 +0800

deepin-voice-note (6.0.18) unstable; urgency=medium

  * fix: Fix voice notepad UI problem (Bug: 244879)
  * fix: Fix UI problem of dark theme playback control (Bug: 244955)
  * fix: Does not participate in wayland crash reconnection (Bug: 248535)

 -- renbin <renbin@uniontech.com>  Wed, 03 Apr 2024 16:20:20 +0800

=== debian/control ===
Source: deepin-voice-note
Section: devel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libutf8proc-dev,
 qt6-base-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 qt6-webchannel-dev,
 qt6-webengine-dev,
 qt6-multimedia-dev,
 qt6-l10n-tools,
 pkg-config,
 libsqlite3-dev,
 libglib2.0-dev,
 libdtk6core-dev,
 libdtk6core-bin,
 libdtk6gui-dev,
 libdtk6declarative-dev,
 libdtk6widget-dev,
 libgstreamer1.0-dev,
 libvlc-dev,
 libvlccore-dev,
 libgtest-dev,
 libffmpegthumbnailer-dev,
 libdmr-dev,
 deepin-desktop-base,
# qml modules
 qml6-module-qtquick-dialogs,
 qml6-module-qtwebchannel,
 qml6-module-qtwebengine
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/voice-note
#Vcs-Git: https://salsa.debian.org/debian/voice-note.git

Package: deepin-voice-note
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer1.0-plugins-good,
 gstreamer1.0-pulseaudio,
 libqt6webenginecore6-bin,
 qml6-module-qtquick-dialogs,
 qml6-module-qtwebchannel,
 qml6-module-qtwebengine
Recommends: uos-reporter, deepin-event-log, libvlc5, vlc-plugin-base
Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
  Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.

## deepin-voice-note 6.5.33

=== debian/changelog ===
deepin-voice-note (6.5.33) unstable; urgency=medium

  * chore: New version 6.5.33.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 18:05:24 +0800

deepin-voice-note (6.5.32) unstable; urgency=medium

  * fix: Change childActions return type to QVariantList

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 26 Jun 2025 13:52:37 +0800

deepin-voice-note (6.5.31) unstable; urgency=medium

  * fix: Update header formatting in voice notes documentation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:49:33 +0800

deepin-voice-note (6.5.30) unstable; urgency=medium

  * chore: New version 6.5.30.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:03:59 +0800

deepin-voice-note (6.5.29) unstable; urgency=medium

  * fix: Update MIPS architecture dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 19:51:34 +0800

deepin-voice-note (6.5.28) unstable; urgency=medium

  * fix: Update lrelease command detection for Qt6 compatibility

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 15:47:20 +0800

deepin-voice-note (6.5.27) unstable; urgency=medium

  * fix: Adjust MIPS architecture dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 11:48:11 +0800

deepin-voice-note (6.5.26) unstable; urgency=medium

  * fix: Enable qml6-module-qtquick-controls2 and qml6-module-qtquick-templates2 for MIPS architecture

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 11:06:24 +0800

deepin-voice-note (6.5.25) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 15:15:56 +0800

deepin-voice-note (6.5.24) unstable; urgency=medium

  * fix: noise reduction recording exception
  * chore: unify mips branch

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 11:35:05 +0800

deepin-voice-note (6.5.23) unstable; urgency=medium

  * Update version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Jun 2025 16:15:31 +0800

deepin-voice-note (6.5.22) unstable; urgency=medium

  * Update version to 6.5.22 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 30 May 2025 14:24:23 +0800

## deepin-voice-note 6.5.35

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,17 @@
 
 list(APPEND RESOURCES ${CMAKE_PROJECT_NAME}.qrc deepin-voice-note-web.qrc)
 
-find_package(Qt6 6.6 REQUIRED COMPONENTS Core Widgets Quick DBus Sql WebEngineQuick Multimedia)
-find_package(Dtk6 COMPONENTS Core Widget Gui REQUIRED)
+# 检测架构并选择对应的 Qt 版本
+if(CMAKE_SYSTEM_PROCESSOR MATCHES "mips.*")
+    message(STATUS "Building for MIPS architecture, using Qt5")
+    add_definitions(-DUSE_QT5)
+    find_package(Qt5 5.15 REQUIRED COMPONENTS Core Widgets Quick DBus Sql WebEngine WebEngineWidgets Multimedia)
+    find_package(Dtk COMPONENTS Core Widget Gui REQUIRED)
+else()
+    message(STATUS "Building for Non-MIPS architecture, using Qt6")
+    find_package(Qt6 6.6 REQUIRED COMPONENTS Core Widgets Quick DBus Sql WebEngineQuick Multimedia)
+    find_package(Dtk6 COMPONENTS Core Widget Gui REQUIRED)
+endif()
 
 find_package(PkgConfig REQUIRED)
 
@@ -41,18 +50,35 @@
 
 add_executable(${BIN_NAME} ${ALLSOURCE} ${RESOURCES})
 
-target_link_libraries(${BIN_NAME} PRIVATE
-    Qt6::Core
-    Qt6::Widgets
-    Qt6::Quick
-    Qt6::DBus
-    Qt6::Sql
-    Qt6::WebEngineQuick
-    Qt6::Multimedia
-    Dtk6::Core
-    Dtk6::Gui
-    Dtk6::Widget
-)
+# 根据架构链接不同的 Qt 库
+if(CMAKE_SYSTEM_PROCESSOR MATCHES "mips.*")
+    target_link_libraries(${BIN_NAME} PRIVATE
+        Qt5::Core
+        Qt5::Widgets
+        Qt5::Quick
+        Qt5::DBus
+        Qt5::Sql
+        Qt5::WebEngine
+        Qt5::WebEngineWidgets
+        Qt5::Multimedia
+        Dtk::Core
+        Dtk::Gui
+        Dtk::Widget
+    )
+else()
+    target_link_libraries(${BIN_NAME} PRIVATE
+        Qt6::Core
+        Qt6::Widgets
+        Qt6::Quick
+        Qt6::DBus
+        Qt6::Sql
+        Qt6::WebEngineQuick
+        Qt6::Multimedia
+        Dtk6::Core
+        Dtk6::Gui
+        Dtk6::Widget
+    )
+endif()
 
 if(SUPPROT_DMR)
     add_definitions(-DMPV_PLAYENGINE)

=== debian/changelog ===
deepin-voice-note (6.5.35) unstable; urgency=medium

  * chore: update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Jul 2025 19:42:03 +0800

deepin-voice-note (6.5.34) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:50:14 +0800

## deepin-voice-note 6.5.45

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(deepin-voice-note)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

set(APP_RES_DIR "assets")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-voice-note.desktop")
set(APP_CONFIG "${APP_RES_DIR}/deepin-voice-note.conf")
set(APP_TRANS_SCRIPT "${APP_RES_DIR}/translate_generation.sh")
set(APP_LOGO "${APP_RES_DIR}/icons/deepin/builtin/deepin-voice-note.svg")

if (CMAKE_BUILD_TYPE MATCHES Debug)
    add_definitions(-DWEB_PATH="${CMAKE_SOURCE_DIR}/src/web")
else()
    add_definitions(-DWEB_PATH="${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note/web")
endif()

execute_process(COMMAND bash
                    ${APP_TRANS_SCRIPT}
                    translations
                    ${APP_TS_UPDATE}
                    ${CMAKE_CURRENT_SOURCE_DIR}/src
                    ${APP_BIN_NAME}
                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/")

# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -Wl,-O1 -Wl,--as-needed -Wl,-E -fPIE -ffunction-sections -fdata-sections -Wl,--gc-sections")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

set(SCREENRECORDERCORE_QML_URI "com.deepin.voicenote.private")
set(SCREENRECORDERCORE_QML_PATH "qrc:/com/deepin/voicenote/private")

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

# Application
add_subdirectory(src)

file(GLOB APP_QM_FILES "translations/*.qm")
install(FILES ${APP_QM_FILES} DESTINATION share/deepin-voice-note/translations)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(FILES ${APP_CONFIG} DESTINATION share/deepin-voice-note)
install(FILES ${APP_LOGO} DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/web    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-voice-note)
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/sw/deepin-voice-note     DESTINATION share/deepin-manual/manual-assets/application/)
else()
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-voice-note     DESTINATION share/deepin-manual/manual-assets/application/)
endif()

# Unit Tests
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    # QML 改造早期屏蔽
    # add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,6 @@
 target_link_libraries(${PROJECT_NAME_TEST}
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
     ${GSTREAMER_LIBRARIES}
     ${LIBVLC_LIBRARIES}
     ${GTEST_LIBRARYS}

=== debian/changelog ===
deepin-voice-note (6.5.45) unstable; urgency=medium

  * fix: Implement UOS edition detection and validation methods

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 16 Oct 2025 19:33:51 +0800

deepin-voice-note (6.5.44) unstable; urgency=medium

  * fix: Implement restrictions on note and folder deletion during audio recording and playback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 19:02:42 +0800

deepin-voice-note (6.5.43) unstable; urgency=medium

  * fix: Implement restrictions on note and folder creation during audio recording and playback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 15:04:33 +0800

deepin-voice-note (6.5.42) unstable; urgency=medium

  * fix: Enhance note creation process with folder validation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 25 Sep 2025 14:46:27 +0800

deepin-voice-note (6.5.41) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:34:44 +0800

deepin-voice-note (6.5.40) unstable; urgency=medium

  * fix: Improve color handling in ItemListView based on focus and theme type

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 28 Aug 2025 19:37:12 +0800

deepin-voice-note (6.5.39) unstable; urgency=medium

  * fix: Enhance note renaming functionality

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 21 Aug 2025 17:35:15 +0800

deepin-voice-note (6.5.38) unstable; urgency=medium

  * chore: Update desktop file translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:48:38 +0800

deepin-voice-note (6.5.37) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:09:16 +0800

deepin-voice-note (6.5.36) unstable; urgency=medium

  * chore: update changelog

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 31 Jul 2025 19:19:31 +0800

=== debian/control ===
Source: deepin-voice-note
Section: devel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libutf8proc-dev,
 qt6-base-dev [!mipsel !mips64el] | qtbase5-dev [mipsel mips64el],
 qt6-tools-dev-tools [!mipsel !mips64el] | qttools5-dev-tools [mipsel mips64el],
 qt6-declarative-dev [!mipsel !mips64el] | qtdeclarative5-dev [mipsel mips64el],
 qt6-webchannel-dev [!mipsel !mips64el] | libqt5webchannel5-dev [mipsel mips64el],
 qt6-webengine-dev [!mipsel !mips64el] | qtwebengine5-dev [mipsel mips64el],
 qt6-multimedia-dev [!mipsel !mips64el] | qtmultimedia5-dev [mipsel mips64el],
 qt6-l10n-tools [!mipsel !mips64el],
 pkg-config,
 libsqlite3-dev,
 libglib2.0-dev,
 libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev [mipsel mips64el],
 libdtk6core-bin [!mipsel !mips64el] | libdtkcore5-bin [mipsel mips64el],
 libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev [mipsel mips64el],
 libdtk6declarative-dev [!mipsel !mips64el] | libdtkdeclarative-dev [mipsel mips64el],
 libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev [mipsel mips64el],
 libgstreamer1.0-dev,
 libvlc-dev,
 libvlccore-dev,
 libgtest-dev,
 libffmpegthumbnailer-dev,
 libdmr-dev [!mipsel !mips64el],
 deepin-desktop-base,
# qml modules
 qml6-module-qtquick-dialogs [!mipsel !mips64el] | qml-module-qtquick-dialogs [mipsel mips64el],
 qml6-module-qtquick-layouts [!mipsel !mips64el] | qml-module-qtquick-layouts [mipsel mips64el],
 qml6-module-qtqml-models [!mipsel !mips64el] | qml-module-qtqml-models2 [mipsel mips64el],
 qml6-module-qt-labs-platform [!mipsel !mips64el] | qml-module-qt-labs-platform [mipsel mips64el],
# qml6-module-qtgraphicaleffects [!mipsel !mips64el] | qml-module-qtgraphicaleffects [mipsel mips64el],
 qml6-module-qtwebchannel [!mipsel !mips64el] | qml-module-qtwebchannel [mipsel mips64el],
 qml6-module-qtwebengine [!mipsel !mips64el] | qml-module-qtwebengine [mipsel mips64el]
Standards-Version: 4.1.3
Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/voice-note
#Vcs-Git: https://salsa.debian.org/debian/voice-note.git

Package: deepin-voice-note
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer1.0-plugins-good,
 gstreamer1.0-pulseaudio,
 vlc-plugin-base,
 libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5sql5-sqlite [mipsel mips64el],
 qml6-module-qtquick-dialogs [!mipsel !mips64el] | qml-module-qtquick-dialogs [mipsel mips64el],
 qml6-module-qtquick-layouts [!mipsel !mips64el] | qml-module-qtquick-layouts [mipsel mips64el],
 qml-module-qtquick-controls2 [mipsel mips64el],
 qml-module-qtquick-templates2 [mipsel mips64el],
 qml6-module-qtqml-models [!mipsel !mips64el] | qml-module-qtqml-models2 [mipsel mips64el],
 qml6-module-qt-labs-platform [!mipsel !mips64el] | qml-module-qt-labs-platform [mipsel mips64el],
# qml6-module-qtgraphicaleffects [!mipsel !mips64el] | qml-module-qtgraphicaleffects [mipsel mips64el],
 qml6-module-qtwebchannel [!mipsel !mips64el] | qml-module-qtwebchannel [mipsel mips64el],
 qml6-module-qtwebengine [!mipsel !mips64el] | qml-module-qtwebengine [mipsel mips64el],
 libdtkdeclarative5 [mipsel mips64el],
 qml-module-qtgraphicaleffects [mipsel mips64el]
Recommends: uos-reporter, deepin-event-log, libvlc5 [!mipsel !mips64el]
Description: Voice Notes is a lightweight memo tool to make text notes and voice recordings
  Voice Notes is a simple memo software with texts and voice recordings. You are able to save the recordings as MP3 format or texts.
